【React+TypeScript開発】Material-UIのStack APIがImportできない

こんにちは。超小ネタですが、10分くらいつまづいていたので、これも記録に。

問題

Reactの、Material-UIライブラリのStack APIを使おうとして、他のコンポーネントと同じ要領でImportしようとしたら、ライブラリが見つからないとのワーニングが。あれえ・・・?

import Stack from '@material-ui/core/Stack';

Material UI – Stack API

https://mui.com/components/stack/

原因と解決方法

Material-UIのメジャーバージョンが古いことが原因でした。(Stack APIはメジャーバージョン5以降で使えるよう)

このStack Overflowが役立ちました。最新のメジャーバージョンを使うためには、以下のコマンドでアップデートする必要があるようです。知らんかった・・・

https://stackoverflow.com/questions/67777239/how-to-import-stack-component-from-material-ui-the-import-on-the-website-doesn

npm install @material-ui/core@next
もしくは
yarn add @material-ui/core@next

バージョン移行過渡期ならではのつまづきですね・・

同じ問題で詰まっていた方のお役に立てれば幸いです。

おしまい

この記事を気に入っていただけたらシェアをお願いします!

コメントを残す

メールアドレスが公開されることはありません。

ABOUT US
Yuu113
初めまして。ゆうたろうと申します。 兵庫県出身、東京でシステムエンジニアをしております。現在は主にデータ分析、機械学習を活用してビジネスモデリングに取り組んでいます。 日々学んだことや経験したことを整理していきたいと思い、ブログを始めました。旅行、カメラ、IT技術、江戸文化が大好きですので、これらについても記事にしていきたいと思っています。